Class RequestBody
java.lang.Object
io.vertx.reactivex.openapi.contract.RequestBody
- All Implemented Interfaces:
io.vertx.lang.rx.RxDelegate
This interface represents the most important attributes of an OpenAPI Operation.
Operation V3.1
Operation V3.0
Operation V3.1
Operation V3.0
NOTE: This class has been automatically generated from the original non RX-ified interface using Vert.x codegen.
-
Field Summary
Fields -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiondetermineContentType(String mediaTypeIdentifier) This method tries to determine the best fittingMediaTypebased on the passed content type.booleaninthashCode()booleanstatic RequestBodynewInstance(RequestBody arg) toString()
-
Field Details
-
__TYPE_ARG
-
-
Constructor Details
-
RequestBody
-
RequestBody
-
-
Method Details
-
toString
-
equals
-
hashCode
-
getDelegate
- Specified by:
getDelegatein interfaceio.vertx.lang.rx.RxDelegate
-
isRequired
public boolean isRequired()- Returns:
- true if the request body is required in the request, otherwise false.
-
getContent
-
determineContentType
This method tries to determine the best fittingMediaTypebased on the passed content type.
This is necessary, to avoid that an incoming request of type application/json; charset=utf-8 is failing, because we only declared application/json in the OpenAPI spec.
Important: If application/json is declared in the contract, application/json; charset=utf-8 would fit, but not the other way around.- Parameters:
mediaTypeIdentifier-- Returns:
- A fitting media type, or null.
-
newInstance
-